# Please keep this package in sync with FC

# -*- rpm-spec -*-

Group: System/Base
Summary: Tools for managing the osinfo database
Name: osinfo-db-tools
Version: 1.8.0
Release: %mkrel 1
License: GPLv2+
Source: https://releases.pagure.io/libosinfo/%{name}-%{version}.tar.xz
URL: https://www.libosinfo.org/

### Patches ###

BuildRequires: meson
BuildRequires: gettext-devel
BuildRequires: git
BuildRequires: glib2-devel
BuildRequires: pkgconfig(libxml-2.0) >= 2.6.0
BuildRequires: pkgconfig(libxslt) >= 1.0.0
BuildRequires: pkgconfig(libarchive)
BuildRequires: libsoup-devel
BuildRequires: json-glib-devel
BuildRequires: perl
BuildRequires: python3
BuildRequires: python3-pytest
BuildRequires: python3-requests
Conflicts: libosinfo-common <= 0.3.0-3.mga6

%description
This package provides tools for managing the osinfo database of
information about operating systems for use with virtualization

%prep
%autosetup -S git

%build
%meson
%meson_build

%check
%meson_test

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%doc NEWS README
%license COPYING
%{_bindir}/osinfo-db-export
%{_bindir}/osinfo-db-import
%{_bindir}/osinfo-db-path
%{_bindir}/osinfo-db-validate
%{_mandir}/man1/osinfo-db-export.1*
%{_mandir}/man1/osinfo-db-import.1*
%{_mandir}/man1/osinfo-db-path.1*
%{_mandir}/man1/osinfo-db-validate.1*



%changelog
* Sat May 30 2020 tv <tv> 1.8.0-1.mga8
+ Revision: 1589117
- Update to 1.8.0 release
+ danf <danf>
- Switch URLs from http: to https:

* Tue Feb 18 2020 umeabot <umeabot> 1.7.0-2.mga8
+ Revision: 1539074
- Mageia 8 Mass Rebuild

* Fri Nov 29 2019 tv <tv> 1.7.0-1.mga8
+ Revision: 1463775
- Update to 1.7.0 release

* Tue Aug 06 2019 tv <tv> 1.6.0-1.mga8
+ Revision: 1427688
- new release

* Mon Jul 01 2019 tv <tv> 1.5.0-1.mga8
+ Revision: 1416633
- new release
- Fix coverity issues

* Mon Mar 04 2019 tv <tv> 1.4.0-1.mga7
+ Revision: 1371457
- fix URL
- new release

* Sun Feb 03 2019 tv <tv> 1.3.0-1.mga7
+ Revision: 1362862
- new release

* Sun Sep 23 2018 umeabot <umeabot> 1.2.0-2.mga7
+ Revision: 1300064
- Mageia 7 Mass Rebuild

* Wed Jun 20 2018 tv <tv> 1.2.0-1.mga7
+ Revision: 1238320
- fix tarball (SOURCES)
- new release

* Fri Jul 21 2017 tv <tv> 1.1.0-2.mga7
+ Revision: 1125792
- add conflicts with libosinfo-common

* Fri Jul 21 2017 tv <tv> 1.1.0-1.mga7
+ Revision: 1125791
- imported package osinfo-db-tools

